import type { ApiResponse } from "@/lib/api"
import type { ProductItem } from "@/lib/models/product"
import { callPublic } from "./base"

export async function fetchProducts(): Promise<ApiResponse<ProductItem[]>> {
  return await callPublic<ProductItem[]>(
    "/product/ApiProductActive",
    undefined,
    "GET",
  )
}
